#
# Run flow on all Modules supported in the family
#

# <board_part board_name="TE0710-02-35-2CF" board_revision="0.2" board_part="part0" schema_version="1.1" vendor="trenz.biz" version="1.0">
#    puts $mig_prj_file {    <TargetFPGA>xc7a35t-csg324/-2</TargetFPGA>}

proc set_board { BOARDNUM } {
	global PRODID
	global PARTNAME
	global BOARDNAME
        global TARGETFPGA

	puts "Setting BOARDNUM: $BOARDNUM"

	if { $BOARDNUM == 1 } {
		set PRODID te0710-02-35-2cf
		set PARTNAME xc7a35tcsg324-2
		set TARGETFPGA xc7a35t
		set BOARDNAME trenz.biz:te0710-02-35-2cf:part0:1.0
	}

	if { $BOARDNUM == 2 } {
		set PRODID te0710-02-100-2cf
		set PARTNAME xc7a100tcsg324-2
		set TARGETFPGA xc7a100t
		set BOARDNAME trenz.biz:te0710-02-100-2cf:part0:1.0
	}

	if { $BOARDNUM == 3 } {
		set PRODID te0710-02-50-2cf
		set PARTNAME xc7a50tcsg324-2
		set TARGETFPGA xc7a50t
		set BOARDNAME trenz.biz:te0710-02-50-2cf:part0:1.0
	}

	if { $BOARDNUM == 4 } {
		set PRODID te0710-02-75-2cf
		set PARTNAME xc7a75tcsg324-2
		set TARGETFPGA xc7a75t
		set BOARDNAME trenz.biz:te0710-02-75-2cf:part0:1.0
	}

	if { $BOARDNUM == 5 } {
		set PRODID te0710-02-15-2cf
		set PARTNAME xc7a15tcsg324-2
		set TARGETFPGA xc7a15t
		set BOARDNAME trenz.biz:te0710-02-15-2cf:part0:1.0
	}

	puts "Setting BOARD: $PRODID Xilinx part $PARTNAME"
}


# set Globals for Default board
set_board 2
