----------------------------------------------------------------------------------
-- Company: 
-- Engineer: Antti Lukats 
-- 
-- Create Date:    10:59:23 12/17/2013 
-- Design Name: 
-- Module Name:    top - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;


-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
library UNISIM;
use UNISIM.VComponents.all;

entity top is Port ( 
           CLK_P    : in  STD_LOGIC;
           CLK_N    : in  STD_LOGIC;
           LED   : out  STD_LOGIC
	   );
end top;

architecture Behavioral of top is

signal clk: std_logic;
signal cnt: std_logic_vector(31 downto 0);

begin

	CLK_BUF_Inst : IBUFDS
		port map (
			I	=> CLK_P,
			IB 	=> CLK_N,
			O 	=> clk
			);


	LED <= cnt(26);
	
process(clk)
begin
	if (rising_edge(clk)) then
		cnt <= cnt + X"00000001";
	end if;
end process;

end Behavioral;

